> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyra.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post Comment

> Create a comment

<Info>
  There is a more advanced version of this endpoint that allows for uploading
  files and videos.

  However, this API uses multipart encoding instead of JSON,
  so it has been omitted from this documentation and the Swagger reference.
</Info>


## OpenAPI

````yaml post /players/bans/{workspaceId}/{banId}/comments
openapi: 3.0.3
info:
  title: Hyra API
  description: Hyra Monolythic API
  version: 2.0.0
servers:
  - url: https://api.hyra.io
security: []
paths:
  /players/bans/{workspaceId}/{banId}/comments:
    post:
      tags:
        - Players
      description: Create a comment
      parameters:
        - schema:
            type: string
          in: path
          name: workspaceId
          required: true
        - schema:
            type: number
          in: path
          name: banId
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                body:
                  type: string
              required:
                - body
        required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    _id:
                      type: string
                    ban:
                      type: string
                    body:
                      type: string
                    files:
                      type: array
                      items:
                        type: string
                    videos:
                      type: array
                      items:
                        type: string
                    workspace:
                      type: string
                    author:
                      type: string
                    createdAt:
                      type: string
                      format: date-time
                    updatedAt:
                      type: string
                      format: date-time
                  required:
                    - _id
                    - ban
                    - files
                    - videos
                    - workspace
                    - author
                    - createdAt
                    - updatedAt
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````